/* Definitions for P16R16DIO.

   Author: Reed Lai

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */

/* File level history (record changes for this file here.)

   *** Do not include this file in your program ***

   v 0.0.0 18 Nov 2002 by Reed Lai
     create, blah blah... */

#ifndef _P16R16DIO_H
#define _P16R16DIO_H

#define MODULE_NAME "ixp16r16dio"

#define IO_RANGE 1

/* offset of registers */
#define DIGITAL_OUTPUT_0_TO_7  0
#define DIGITAL_OUTPUT_8_TO_15 1
#define DIGITAL_INPUT_0_TO_7   2
#define DIGITAL_INPUT_8_TO_15  3

#define DO_A DIGITAL_OUTPUT_0_TO_7
#define DO_B DIGITAL_OUTPUT_8_TO_15
#define DI_A DIGITAL_INPUT_0_TO_7
#define DI_B DIGITAL_INPUT_8_TO_15

/* mask of registers */
#define DO_A_MASK    0xff
#define DO_B_MASK    0xff
#define DI_A_MASK    0xff
#define DI_B_MASK    0xff

#endif							/* _P16R16DIO_H */
